<?php 
class EVRefrescaGrid extends EVAjax{
	
	protected $_enviaFormulario = false;
	
	
	
	/**
	 * 
	 * @param  $value Marca si 
	 */
	public function setEnviaFormulario( $value){
		$this->_enviaFormulario = $value;
		
	}
	
	
	
	protected function renderAccion(){
		if($this->padre instanceof AppElementoFormulario) 
			$grids = $this->padre->getPadre()->getGrids();
		if($this->padre instanceof AppFormulario)
			$grids = $this->padre->getGrids();
		
		$script = '';
		foreach ($grids as $grid){
			if ($grid instanceof AppListado){ 
				$script = '$("'.$grid->identificadorScript().'").appGrid().refresca();';
			}
		}
		return $script;
	}
	public function renderEvento(){
		if($this->padre instanceof AppFormulario){
			return parent::renderEvento();
		}else{

	
		
		
		$clave = spl_object_hash($this);
		
		$script = '
		
		
	var timeOutEvento'.$clave.' = null;
		
	function lanzaEvento'.$clave.'(){
		timeOutEvento'.$clave.' = null;
		'.$this->renderAccion().'
		
	}
		
	$("'. $this->padre->identificadorScript() .'").'.$this->disparador.'(function(){
			console.log("aaa");
		clearTimeout(timeOutEvento'.$clave.');
				
		timeOutEvento'.$clave.' = setTimeout(lanzaEvento'.$clave.', 100);
		
		
		
	});';
		
		return $script;
		
		}
	}
	
		
	
} 